Bug 273741 - X server intermittently loses 'blit' ability and window operations become CPU-intensive and slow
X server intermittently loses 'blit' ability and window operations become CPU...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
7
All All
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 07:56 EDT by David Campbell
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 01:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (1.12 KB, text/plain)
2007-09-01 07:56 EDT, David Campbell
no flags Details
Xorg.0.log file from X server when this problem did happen (56.42 KB, text/plain)
2007-09-01 08:00 EDT, David Campbell
no flags Details

  None (edit)
Description David Campbell 2007-09-01 07:56:46 EDT
Description of problem:

When the X server starts up, opening up firefox or any other window and dragging
it around rapidly and intsensively with the mouth is smooth and doesn't burn up
lots of CPU.

But I find that after some use, perhaps some situations, that I haven't yet been
able to identify, that the X server becomes much slower and the smooth dragging
of windows is lost, and all graphics operations become CPU intensive such that
you can drive the CPU up to 100% by using any of them.

Once this happens, the only way I know to get out of it is to restart the X server.

The video chipset is ATI Mobility Radeon 9700.


Version-Release number of selected component (if applicable):


How reproducible:

Intermittent
 
Actual results:

X Server intermittently becomes slow with scrolling operations

Expected results:

X Server stays fast

Additional info:

I will attach xorg.conf and Xorg.0.log
Comment 1 David Campbell 2007-09-01 07:56:46 EDT
Created attachment 184401 [details]
xorg.conf file
Comment 2 David Campbell 2007-09-01 08:00:03 EDT
Created attachment 184421 [details]
Xorg.0.log file from X server when this problem did happen
Comment 3 David Campbell 2007-09-01 08:01:53 EDT
The driver I'm using is the radeon driver, and I'm running the latest
2.6.22.4-65.fc7 kernel, but this problem showed on previous f7 kernels too.
Comment 4 David Campbell 2007-11-20 01:49:02 EST
Not seeing this in f8

Note You need to log in before you can comment on or make changes to this bug.